{ lib, config, pkgs, ... }:
let
  cfg = config.services.vm_jellyfin;
in
{
  options.services.vm_jellyfin = {
    enable = lib.mkEnableOption "Enable minimal config";
  };
  config = lib.mkIf cfg.enable {
    environment.systemPackages = [ pkgs.cifs-utils ];
    services.jellyfin = {
      enable = true;
      user = "tbarnouin";
      openFirewall = true;
    };
    fileSystems."/mnt/media" = {
      device = "192.168.1.125:/DATA";
      fsType = "nfs";
      options = [
        "x-systemd.automount"
        "noauto"
      ];
    };
  };
}
